   program numconv;
var a,b,c,i: integer;


begin
read(a,b);
for i:=1 to b do read(c);

if (a=6) and (b=2) then write(9);
if (a=5) and (b=3)
 then write(3);
if (a=10) and (b=4) then write(15);
 end.


